package com.google.android.material.transition;

import android.graphics.Path;
import android.graphics.PointF;
import ῲ.ᓆ.AbstractC1672;

public final class MaterialArcMotion extends AbstractC1672 {
    public static PointF getControlPoint(float f, float f2, float f3, float f4) {
        if (f2 > f4) {
            return new PointF(f3, f2);
        }
        return new PointF(f, f4);
    }

    @Override // ῲ.ᓆ.AbstractC1672
    public Path getPath(float f, float f2, float f3, float f4) {
        Path path = new Path();
        path.moveTo(f, f2);
        PointF controlPoint = getControlPoint(f, f2, f3, f4);
        path.quadTo(controlPoint.x, controlPoint.y, f3, f4);
        return path;
    }
}
